## Index

### Namespaces

- IEventsTypes
- IEventsTypesListeners

### Classes

- IVisualizer

### Type aliases

- IApplication
- IFacet
- IFavorite
- IFavoriteProductList
- IFavoriteScene
- IFavoriteSceneList
- IFieldsMap
- IFilter
- IProduct
- IScene

## Type aliases

### IApplication

IApplication: { application: string; image?: string; title?: string }

#### Type declaration

- ##### application: string

- ##### Optional image?: string

- ##### Optional title?: string

### IFacet

IFacet: { name: string; options: string[] }

#### Type declaration

- ##### name: string

- ##### options: string[]

### IFavorite

IFavorite: { product: IProduct }

#### Type declaration

- ##### product: IProduct

### IFavoriteProductList

IFavoriteProductList: Array<IFavorite>

### IFavoriteScene

IFavoriteScene: { favorites: Array<IFavorite>; id: string; image: string; scene: IScene }

#### Type declaration

- ##### favorites: Array<IFavorite>

- ##### id: string

- ##### image: string

- ##### scene: IScene

### IFavoriteSceneList

IFavoriteSceneList: Array<IFavoriteScene>

### IFieldsMap

IFieldsMap: { description?: string; price?: string; title?: string }

#### Type declaration

- ##### Optional description?: string

- ##### Optional price?: string

- ##### Optional title?: string

### IFilter

IFilter: IFacet

### IProduct

IProduct: { application: string; description: string; facets: IFacet[]; image: string; price: string; sku: string; title: string }

#### Type declaration

- ##### application: string

- ##### description: string

- ##### facets: IFacet[]

- ##### image: string

- ##### price: string

- ##### sku: string

- ##### title: string

### IScene

IScene: { filters?: Array<IFilter>; id: string; image: string; index: string; subtitle: string; title: string }

#### Type declaration

- ##### Optional filters?: Array<IFilter>

- ##### id: string

- ##### image: string

- ##### index: string

- ##### subtitle: string

- ##### title: string

Generated using TypeDoc